## ros-one-diagnostic-common-diagnostics 1.11.0-7jammy.20251023.0827

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(diagnostic_common_diagnostics)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS diagnostic_updater)

catkin_python_setup()

catkin_package()

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  # Test CPU Monitor
  add_rostest(test/launch/test_cpu_monitor.launch)
  add_rostest(test/launch/test_cpu_monitor_level_ok.launch)
  add_rostest(test/launch/test_cpu_monitor_level_warn.launch)
  add_rostest(test/launch/test_ram_monitor.launch)
  add_rostest(test/launch/test_ram_monitor_level_ok.launch)
  add_rostest(test/launch/test_ram_monitor_level_warn.launch)
endif()

catkin_install_python(PROGRAMS
  src/diagnostic_common_diagnostics/cpu_monitor.py
  src/diagnostic_common_diagnostics/ram_monitor.py
# commented as per package.xml
#  src/diagnostic_common_diagnostics/hd_monitor.py
  src/diagnostic_common_diagnostics/ntp_monitor.py
  src/diagnostic_common_diagnostics/sensors_monitor.py
  src/diagnostic_common_diagnostics/tf_monitor.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-one-diagnostic-common-diagnostics (1.11.0-7jammy.20251023.0827) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Thu, 23 Oct 2025 08:27:48 +0000

ros-one-diagnostic-common-diagnostics (1.11.0-0jammy) jammy; urgency=high

  * Added ram monitor (#222 <https://github.com/ros/diagnostics/issues/222>)
  * Improve sensor output processing in sensors_monitor.py (#223 <https://github.com/ros/diagnostics/issues/223>)
  * Decode bytes into string in ntp_monitor (#220 <https://github.com/ros/diagnostics/issues/220>)
    Co-authored-by: Maxime Noizet <mailto:maxime.noizet@etu.utc.fr>
  * Add missing lm-sensors dependency for sensors_monitor.py (#198 <https://github.com/ros/diagnostics/issues/198>)
    Co-authored-by: Vincent Rousseau <mailto:vincent.rousseau@sabi-agri.com>
  * Contributors: Noizet Maxime, Rousseau Vincent, chrisflesher

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.10.4-0jammy) jammy; urgency=high

  * Port diagnostic common diagnostics to python 3
  * fix(cpu_monitor): Exception on shutdown (#186 <https://github.com/ros/diagnostics/issues/186>)
    Catch sigint properly
  * Contributors: Rein Appeldoorn, gemignani

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Sun, 14 Mar 2021 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.10.3-0jammy) jammy; urgency=high

  * Update maintainer info
  * Contributors: gemignani

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.10.2-0jammy) jammy; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Thu, 03 Sep 2020 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.10.1-0jammy) jammy; urgency=high

  * Fix minor issues
  * Fix shebang line for python3 (#141 <https://github.com/ros/diagnostics/issues/141>)
  * Contributors: Mikael Arguedas, gemignani

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Thu, 20 Aug 2020 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.10.0-0jammy) jammy; urgency=high

  * Add feature of window avereging for cpu monitor (#153 <https://github.com/ros/diagnostics/issues/153>)
  * Make Guglielmo Gemignani ROS1 maintainer (#155 <https://github.com/ros/diagnostics/issues/155>)
  * Contributors: Guglielmo Gemignani, Rein Appeldoorn, gemignani

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Tue, 11 Aug 2020 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.9.4-0jammy) jammy; urgency=high

  * noetic release (#136 <https://github.com/ros/diagnostics/issues/136>)
  * Contributors: Alejandro Hernández Cordero

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Wed, 01 Apr 2020 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.9.3-0jammy) jammy; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Wed, 02 May 2018 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.9.2-0jammy) jammy; urgency=high

  * FIX: add missing dependency
  * Contributors: trainman419

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Sat, 15 Jul 2017 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.9.1-0jammy) jammy; urgency=high

  * Add queue size parameters on Publishers
  * Minor python updates
  * Added CPU percentage monitor
    CPU monitor that outputs the average CPU percentage and a percentage per
    CPU. The user can specify the warning CPU percentage. When one CPU exceeds
    this percentage, the diagnostics status is set to WARN.
  * Contributors: Rein Appeldoorn, trainman419

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Sat, 15 Jul 2017 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.9.0-0jammy) jammy; urgency=high

  * Remove warning for missing queue size specification
  * Contributors: sandeep

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Tue, 25 Apr 2017 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.10-0jammy) jammy; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Tue, 14 Jun 2016 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.9-0jammy) jammy; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Wed, 02 Mar 2016 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.8-0jammy) jammy; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Thu, 06 Aug 2015 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.7-0jammy) jammy; urgency=high

  * Remove libsensors node because it isn't portable.
  * Contributors: trainman419

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Fri, 09 Jan 2015 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.6-0jammy) jammy; urgency=high

  * Add voltage sensor support
  * Add ignore_sensors parameter
  * Add license agreement
  * Style cleanup and error handling
  * Initial commit of libsensors based sensors_monitor
  * Contributors: Mitchell Wills, trainman419

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Wed, 10 Dec 2014 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.5-0jammy) jammy; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Tue, 29 Jul 2014 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.4-0jammy) jammy; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Thu, 24 Jul 2014 20:51:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.3-0jammy) jammy; urgency=high

  * ntp_diagnostic now publishing more frequently to avoid stale
  * added install rules for the common diagnostics scripts
  * Contributors: Brice Rebsamen

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Wed, 23 Apr 2014 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.2-0jammy) jammy; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Tue, 08 Apr 2014 00:00:00 -0000



=== debian/control ===
Source: ros-one-diagnostic-common-diagnostics
Section: misc
Priority: optional
Maintainer: Guglielmo Gemignani <guglielmo.gemignani@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-diagnostic-updater, ros-one-rospy, ros-one-rostest
Homepage: http://ros.org/wiki/diagnostic_common_diagnostics
Standards-Version: 3.9.2

Package: ros-one-diagnostic-common-diagnostics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lm-sensors, python3-psutil, ros-one-diagnostic-updater, ros-one-rospy, ros-one-tf
Description: diagnostic_common_diagnostics

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-diagnostic-common-diagnostics//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-diagnostic-common-diagnostics 1.11.0-7jammy.20260221.0117

=== debian/changelog ===
ros-one-diagnostic-common-diagnostics (1.11.0-7jammy.20260221.0117) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Sat, 21 Feb 2026 01:17:20 +0000

## ros-one-diagnostic-common-diagnostics 1.11.0-7noble.20251023.0831

=== debian/changelog ===
ros-one-diagnostic-common-diagnostics (1.11.0-7noble.20251023.0831) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Thu, 23 Oct 2025 08:31:35 +0000

ros-one-diagnostic-common-diagnostics (1.11.0-0noble) noble; urgency=high

  * Added ram monitor (#222 <https://github.com/ros/diagnostics/issues/222>)
  * Improve sensor output processing in sensors_monitor.py (#223 <https://github.com/ros/diagnostics/issues/223>)
  * Decode bytes into string in ntp_monitor (#220 <https://github.com/ros/diagnostics/issues/220>)
    Co-authored-by: Maxime Noizet <mailto:maxime.noizet@etu.utc.fr>
  * Add missing lm-sensors dependency for sensors_monitor.py (#198 <https://github.com/ros/diagnostics/issues/198>)
    Co-authored-by: Vincent Rousseau <mailto:vincent.rousseau@sabi-agri.com>
  * Contributors: Noizet Maxime, Rousseau Vincent, chrisflesher

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.10.4-0noble) noble; urgency=high

  * Port diagnostic common diagnostics to python 3
  * fix(cpu_monitor): Exception on shutdown (#186 <https://github.com/ros/diagnostics/issues/186>)
    Catch sigint properly
  * Contributors: Rein Appeldoorn, gemignani

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Sun, 14 Mar 2021 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.10.3-0noble) noble; urgency=high

  * Update maintainer info
  * Contributors: gemignani

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.10.2-0noble) noble; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Thu, 03 Sep 2020 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.10.1-0noble) noble; urgency=high

  * Fix minor issues
  * Fix shebang line for python3 (#141 <https://github.com/ros/diagnostics/issues/141>)
  * Contributors: Mikael Arguedas, gemignani

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Thu, 20 Aug 2020 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.10.0-0noble) noble; urgency=high

  * Add feature of window avereging for cpu monitor (#153 <https://github.com/ros/diagnostics/issues/153>)
  * Make Guglielmo Gemignani ROS1 maintainer (#155 <https://github.com/ros/diagnostics/issues/155>)
  * Contributors: Guglielmo Gemignani, Rein Appeldoorn, gemignani

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Tue, 11 Aug 2020 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.9.4-0noble) noble; urgency=high

  * noetic release (#136 <https://github.com/ros/diagnostics/issues/136>)
  * Contributors: Alejandro Hernández Cordero

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Wed, 01 Apr 2020 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.9.3-0noble) noble; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Wed, 02 May 2018 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.9.2-0noble) noble; urgency=high

  * FIX: add missing dependency
  * Contributors: trainman419

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Sat, 15 Jul 2017 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.9.1-0noble) noble; urgency=high

  * Add queue size parameters on Publishers
  * Minor python updates
  * Added CPU percentage monitor
    CPU monitor that outputs the average CPU percentage and a percentage per
    CPU. The user can specify the warning CPU percentage. When one CPU exceeds
    this percentage, the diagnostics status is set to WARN.
  * Contributors: Rein Appeldoorn, trainman419

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Sat, 15 Jul 2017 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.9.0-0noble) noble; urgency=high

  * Remove warning for missing queue size specification
  * Contributors: sandeep

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Tue, 25 Apr 2017 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.10-0noble) noble; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Tue, 14 Jun 2016 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.9-0noble) noble; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Wed, 02 Mar 2016 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.8-0noble) noble; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Thu, 06 Aug 2015 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.7-0noble) noble; urgency=high

  * Remove libsensors node because it isn't portable.
  * Contributors: trainman419

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Fri, 09 Jan 2015 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.6-0noble) noble; urgency=high

  * Add voltage sensor support
  * Add ignore_sensors parameter
  * Add license agreement
  * Style cleanup and error handling
  * Initial commit of libsensors based sensors_monitor
  * Contributors: Mitchell Wills, trainman419

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Wed, 10 Dec 2014 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.5-0noble) noble; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Tue, 29 Jul 2014 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.4-0noble) noble; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Thu, 24 Jul 2014 20:51:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.3-0noble) noble; urgency=high

  * ntp_diagnostic now publishing more frequently to avoid stale
  * added install rules for the common diagnostics scripts
  * Contributors: Brice Rebsamen

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Wed, 23 Apr 2014 00:00:00 -0000

ros-one-diagnostic-common-diagnostics (1.8.2-0noble) noble; urgency=high



 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Tue, 08 Apr 2014 00:00:00 -0000



## ros-one-diagnostic-common-diagnostics 1.11.0-7noble.20260221.0153

=== debian/changelog ===
ros-one-diagnostic-common-diagnostics (1.11.0-7noble.20260221.0153) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Sat, 21 Feb 2026 01:53:54 +0000
